<div class="amchart-container">
  <div
    class="amchart {{if @loading 'invisible'}}"
    {{this.dataModifier @data setup=this.setup update=this.update}}
    {{did-update this.regenerate this.application.darkMode}}
  ></div>
  {{#if (or this.building @loading)}}
    <div class="overlay">
      Loading ...
    </div>
  {{/if}}
</div>